WordPress.org

Plugin Directory

Quick Contact Form

A Simple plug and play contact form with a huge range of options and styles.

Requires: 4.0 or higher
Compatible up to: 4.1.1
Last Updated: 2015-4-9
Active Installs: 10,000+

Ratings

4.7 out of 5 stars

Support

1 of 2 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,3,3
0,1,0 0,1,0
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1